import math
def dichotomie(f,e,a,b):
    n=0
    while abs(b-a)>e:
        milieu=(a+b)/2
        n+=1
        if f(a)*f(milieu)>0:
            a=milieu
        else :
            b=milieu
    return (a,b),n

def balayage(f,e,a,b):
    n=0
    while(a<=b):
        n+=1
        if f(a)*f(b)>0:
            return (a-e,a),n
        a+=e

#dichotomie(lambda x:x*math.exp(x)-1,0.1,0,1)
#dichotomie(lambda x:x**3-2*x**2-1,0.001,1,3)
